Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class SharedContentDialogListener

    java.lang.Object
      org.infoml.infocardOrganizer.SharedContentDialogListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.DocumentListener

    public class SharedContentDialogListener

extends java.lang.Object
implements javax.swing.event.DocumentListener

Constructor Summary
`SharedContentDialogListener(SharedContentDialog dialog)`

Method Summary
`void` | `changedUpdate(javax.swing.event.DocumentEvent e)`
`void` | `insertUpdate(javax.swing.event.DocumentEvent e)`
`void` | `removeUpdate(javax.swing.event.DocumentEvent e)`
`void` | `setAgent(javax.swing.text.Document doc, javax.swing.text.Document agentXDocY, Agent agentNr, int nr)`
`void` | `setAgents()`
`void` | `setTextFields(javax.swing.text.Document doc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedContentDialogListener

    public SharedContentDialogListener(SharedContentDialog dialog)

Method Detail

### setAgent

    public void setAgent(javax.swing.text.Document doc,
                         javax.swing.text.Document agentXDocY,
                         Agent agentNr,
                         int nr)

### setTextFields

    public void setTextFields(javax.swing.text.Document doc)

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### setAgents

    public void setAgents()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD